Bug 1209367 (CVE-2015-2925)

Summary: CVE-2015-2925 Kernel: vfs: Do not allow escaping from bind mounts
Product: [Other] Security Response Reporter: Prasad J Pandit <ppandit>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: agordeev, aquini, bhu, carnil, dhoward, dwalsh, ebiederm, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, mguzik, nmurray, pholasek, plougher, pmatouse, rt-maint, rvrbovsk, slawomir, torez, williams, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20150403,reported=20150403,source=oss-security,cvss2=6.0/AV:L/AC:H/Au:S/C:C/I:C/A:C,cwe=CWE-22,rhel-5/kernel=notaffected,rhel-6/kernel=affected,rhel-7/kernel=affected,mrg-2/realtime-kernel=affected,fedora-all/kernel=affected,rhelsa-7/kernel-biscayne=affected,rhel-7/kernel-rt=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel's file system implementation handled rename operations in which the source was inside and the destination was outside of a bind mount. A privileged user inside a container could use this flaw to escape the bind mount and, potentially, escalate their privileges on the system.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-10-09 18:18:27 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1209368, 1209369, 1209370, 1209371, 1209372, 1209373, 1209403, 1209404, 1209849, 1209850    
Bug Blocks: 1209357    

Description Prasad J Pandit 2015-04-07 08:16:27 UTC
Linux kernel built with the name spaces support(CONFIG_NAMESPACE) is vulnerable
to a potential privilege escalation flaw. It could occur when a process within
a container escapes the intended bind mounts to access the full file system.

A privileged user inside a container could use this flaw to potentially gain
full privileges on a system.

Upstream fix:
-------------
  -> http://permalink.gmane.org/gmane.linux.kernel.containers/29177

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/04/03/7

Comment 3 Prasad J Pandit 2015-04-07 08:20:19 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1209373]

Comment 4 Prasad J Pandit 2015-04-07 09:40:08 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel as shipped with Red Hat Enterprise Linux 6 and 7 and Red Hat Enterprise MRG 2. Future kernel updates for the respective releases may address this issue.

Comment 14 Fedora Update System 2015-10-09 06:15:26 UTC
kernel-4.2.3-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-10-09 10:27:15 UTC
kernel-4.1.10-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Torez Smith 2015-10-09 18:18:27 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=1209367
Bug 1209367 depends on bug 1209373, which changed state.

Bug 1209373 Summary: CVE-2015-2925 Kernel: vfs: Do not allow escaping from bind mounts [fedora-all]
https://bugzilla.redhat.com/show_bug.cgi?id=1209373

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ON_QA                       |CLOSED
         Resolution|---                         |ERRATA

Comment 17 Fedora Update System 2015-11-01 22:20:43 UTC
kernel-4.1.10-100.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 errata-xmlrpc 2015-11-19 13:16:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2411 https://rhn.redhat.com/errata/RHSA-2015-2411.html

Comment 19 errata-xmlrpc 2015-11-19 21:57:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2152 https://rhn.redhat.com/errata/RHSA-2015-2152.html

Comment 21 errata-xmlrpc 2015-12-09 09:45:01 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.1 EUS - Server and Compute Node Only
  Red Hat Enterprise Linux 7.1 EUS  - Server and Compute Node Only

Via RHSA-2015:2587 https://rhn.redhat.com/errata/RHSA-2015-2587.html

Comment 22 errata-xmlrpc 2015-12-15 13:57:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2636 https://rhn.redhat.com/errata/RHSA-2015-2636.html